SKB_PEEK_NEXT(9)

NAME
skb_peek_next - peek skb following the given one from a queue

SYNOPSIS

struct sk_buff * skb_peek_next(struct sk_buff * skb, const struct sk_buff_head * list_);

ARGUMENTS

skb
    skb to start from

list_
    list to peek at

DESCRIPTION

Returns NULL when the end of the list is met or a pointer to the next element. The reference count is not incremented and the reference is therefore volatile. Use with caution.

COPYRIGHT